Summary: An interpreter of embedded Ruby language
Name: eruby
Version: 0.9.7
Release: 1
License: distributable
Group: Development/Languages
Source0: http://www.modruby.net/archive/%{name}-%{version}.tar.gz
Patch1: eruby.c.O_EXCL.patch
URL: http://www.modruby.net/
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPrereq: ruby, ruby-devel
ExcludeArch: ia64 alpha

%description
eRuby interprets a Ruby code embedded text file. For example, eRuby
enables you to embed a Ruby code to a HTML file.

%prep
%setup -q

%build
./configure.rb
make

%install
rm -rf ${RPM_BUILD_ROOT}
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/bin
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/lib
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/share
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/include
mkdir -p ${RPM_BUILD_ROOT}%{prefix}/share/man/man1

# installing binaries ...
make install prefix=${RPM_BUILD_ROOT}%{prefix} \
  mandir=${RPM_BUILD_ROOT}%{prefix}/share/man

# listing all files in ruby-all.files
(find $RPM_BUILD_ROOT%{prefix}/bin \
      -type f -o -type l) | 
 sort | sed -e "s,^$RPM_BUILD_ROOT,," > eruby-all.files

# strip
strip ${RPM_BUILD_ROOT}%{prefix}/bin/%{name}

%clean
rm -rf ${RPM_BUILD_ROOT}
rm -f *.files

%files -f eruby-all.files
%defattr(-, root, root)
%doc README.en README.ja ChangeLog examples/
%{_prefix}/share/man/

%changelog
* Sat Feb 02 2002 Tim Powers <timp@redhat.com>
- update to 0.9.7

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Aug  2 2001 Yukihiro Nakai <ynakai@redhat.com>
- Update to 0.1.2

* Tue Aug 29 2000 akira yamada <akira@redhat.com>
- Updated to version 0.0.9
- Added eruby.c.O_EXCL.patch

* Tue Jun 22 2000 akira yamada <akira@redhat.com>
- Initial packaging.
